Name:           perl-POE-Component-Resolver
Version:        0.917
Release:        4%{?dist}
Summary:        Non-blocking getaddrinfo() resolver
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Component-Resolver/
Source0:        http://www.cpan.org/authors/id/R/RC/RCAPUTO/POE-Component-Resolver-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(POE) >= 1.311
BuildRequires:  perl(POE::Filter::Reference)
BuildRequires:  perl(POE::Wheel::Run)
BuildRequires:  perl(Scalar::Util) >= 1.23
BuildRequires:  perl(Socket)
BuildRequires:  perl(Socket::GetAddrInfo) >= 0.19
BuildRequires:  perl(Storable) >= 2.18
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Time::HiRes) >= 1.9711
Requires:       perl(POE) >= 1.311
Requires:       perl(POE::Filter::Reference)
Requires:       perl(POE::Wheel::Run)
Requires:       perl(Socket::GetAddrInfo) >= 0.19
Requires:       perl(Storable) >= 2.18
Requires:       perl(Time::HiRes) >= 1.9711
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^perl\\(POE\\)
%global __requires_exclude %__requires_exclude|^perl\\(Socket::GetAddrInfo\\)
%global __requires_exclude %__requires_exclude|^perl\\(Storable\\)
%global __requires_exclude %__requires_exclude|^perl\\(Time::HiRes\\)

%description
POE::Component::Resolver performs Socket::GetAddrInfo::getaddrinfo() calls
in subprocesses where they're permitted to block as long as necessary.

%prep
%setup -q -n POE-Component-Resolver-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
# Remove resolver test which doesn't work in koji
rm -f t/01-basic.t
make test

%files
%doc CHANGES LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.917-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.917-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 14 2012 Petr Pisar <ppisar@redhat.com> - 0.917-2
- Perl 5.16 rebuild

* Tue May 15 2012 Petr Šabata <contyk@redhat.com> - 0.917-1
- 0.917 bump

* Wed Mar 14 2012 Petr Šabata <contyk@redhat.com> - 0.916-1
- 0.916 bump

* Thu Jan 19 2012 Petr Šabata <contyk@redhat.com> 0.914-1
- Specfile autogenerated by cpanspec 1.78.
